summaryrefslogtreecommitdiff
path: root/x11-themes/moka-icon-theme
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-01-03 16:09:29 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-01-03 16:09:29 +0000
commitf0cd84a623f982bf08824ff154b80dfc7da16c75 (patch)
treee4e891b7e452c99b9ff97620bf633f72202abc96 /x11-themes/moka-icon-theme
parenta53b907d357eed428851596f8ff2088e111f27b7 (diff)
add faba+moka icon themes
Diffstat (limited to 'x11-themes/moka-icon-theme')
-rw-r--r--x11-themes/moka-icon-theme/Manifest1
-rw-r--r--x11-themes/moka-icon-theme/moka-icon-theme-5.3.5.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/x11-themes/moka-icon-theme/Manifest b/x11-themes/moka-icon-theme/Manifest
new file mode 100644
index 00000000..0680907b
--- /dev/null
+++ b/x11-themes/moka-icon-theme/Manifest
@@ -0,0 +1 @@
+DIST moka-icon-theme-5.3.5.tar.gz 68250053 SHA256 91d1d702501fca85b7c8dedbc690884d697e482b732cd3801febd5f7c0525918 SHA512 81be63f0fe4b47eb70ca63681b40053c8facb7277d5df34212592a1fc7c349679508551e6ff67123127d372e88f61062ce59dd9c8ed6aaa02b49ef9e884e2b07 WHIRLPOOL 93cdf4f4fafb3d8bb64526b13ab5241608380dd0f1630eace5f6403fa8276c27c883c7ffc4967b5a06708a0ddc1c040cafa6c4b80544fe51291f6f6b3d1e7da4
diff --git a/x11-themes/moka-icon-theme/moka-icon-theme-5.3.5.ebuild b/x11-themes/moka-icon-theme/moka-icon-theme-5.3.5.ebuild
new file mode 100644
index 00000000..318b1efa
--- /dev/null
+++ b/x11-themes/moka-icon-theme/moka-icon-theme-5.3.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=6
+
+inherit eutils autotools
+
+DESCRIPTION="Moka is a stylized Linux desktop icon set, and the titular icon theme of the Moka Project. They are designed to be clear, simple and consistent."
+HOMEPAGE="http://snwh.org"
+if [[ ${PV} == *9999* ]];then
+ inherit git-r3
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/moka-project/moka-icon-theme.git"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/moka-project/moka-icon-theme/archive/v${PV}/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="amd64 x86"
+ RESTRICT="mirror"
+fi
+
+LICENSE="LGPL-3.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="x11-themes/faba-icon-theme"
+RDEPEND="${DEPEND}"
+
+src_prepare(){
+ eapply_user
+ eautoreconf
+}
+
+src_compile(){
+ emake DESTDIR="${D}" || die
+}
+
+src_install(){
+ emake DESTDIR="${D}" install || die
+}